Page MenuHomePhabricator

provide proxysql for stretch, add package to puppet
Closed, ResolvedPublic

Description

As part of T192092 (mediawiki_maintenance role on stretch) i noticed that one issue is that proxysql does not start. _> T192092#4183661

I think there are 2 separate issues:

  • package only available for jessie:
[install1002:~] $ sudo -i reprepro ls proxysql
proxysql | 1.4.3 | jessie-wikimedia | amd64
  • package doesn't get installed by puppet:

I did _not_ get an "package not available" error during the puppet run and looking at modules/proxysql/manifests/init.pp and modules/profile/manifests/proxysql. i don't see a "package" resource or include? (in git log it says for the very first commit though that it installs the package, did that get lost in a refactor or something?)

Event Timeline

Dzahn triaged this task as High priority.May 5 2018, 1:10 AM
Dzahn created this task.
Dzahn removed Dzahn as the assignee of this task.May 5 2018, 1:12 AM

I am not sure we should keep the proxies on terbium. I will remove its reference so it doesn't get installed on new hosts until we decide which is the best host to hold it.

Change 431529 had a related patch set uploaded (by Jcrespo; owner: Jcrespo):
[operations/puppet@production] tendril: Move cron jobs to dbmonitor, remove proxysql from terbium

https://gerrit.wikimedia.org/r/431529

Change 431584 had a related patch set uploaded (by Jcrespo; owner: Jcrespo):
[operations/puppet@production] proxysql: require proxysql package installation for module proxysql

https://gerrit.wikimedia.org/r/431584

Change 431529 merged by Jcrespo:
[operations/puppet@production] tendril: Move cron jobs to dbmonitor, remove proxysql from terbium

https://gerrit.wikimedia.org/r/431529

jcrespo closed this task as Resolved.May 8 2018, 7:41 AM
jcrespo claimed this task.
  • proxysql and tendril maintenance have been removed from mediawiki maintenance
  • proxysql for stretch package has been uploaded
  • proxysql and tendril maintenance classes have been fixed
  • db maintenance is now empty
  • older mw maintenance hosts have been cleaned up of old files, crontabs and users

Change 431584 merged by Jcrespo:
[operations/puppet@production] proxysql: require proxysql package installation for module proxysql

https://gerrit.wikimedia.org/r/431584

Vvjjkkii renamed this task from provide proxysql for stretch, add package to puppet to okdaaaaaaa.Jul 1 2018, 1:11 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed jcrespo as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: Aklapper, gerritbot.
Liuxinyu970226 renamed this task from okdaaaaaaa to provide proxysql for stretch, add package to puppet.Jul 1 2018, 2:12 PM
Liuxinyu970226 updated the task description. (Show Details)
TerraCodes closed this task as Resolved.Jul 2 2018, 12:32 PM
TerraCodes assigned this task to jcrespo.
TerraCodes added subscribers: gerritbot, Aklapper.